FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Gentoo > Gentoo Alt

 
 
LinkBack Thread Tools
 
Old 12-20-2010, 05:13 PM
Michael Haubenwallner
 
Default prefix installer, AIX 5.3 gcc failed to build

On 12/20/2010 06:02 PM, Perry Smith wrote:
> FYI:
>
> In the gmake portage sequence, I got:
>
> ( cd /usr/dumps/prefix-launcher-2.1.0/powerpc-ibm-aix5.3.0.0/etc && ln -s /usr/dumps/prefix-launcher-2.1.0/powerpc-ibm-aix5.3.0.0/share/portage/config/make.globals )
> ln: creating symbolic link `./make.globals': File exists

Indeed, yes.

>
> So I moved the already existing make.globals to the side which appears to have resolved the issue.

Exactly. You even can remove it.
/haubi/

>
> On Dec 13, 2010, at 3:46 PM, Michael Haubenwallner wrote:
>
>> Wait a moment,
>>
>> On 12/13/10 21:47, Perry Smith wrote:
>>> I'm going to continue onward...
>>
>> Right now, I've update portage in prefix-launcher to accept EAPI 3 now,
>> which is required to support unmodified ebuilds from main Gentoo Linux.
>>
>> However, this portage version is yet untested with prefix-launcher.
>>
>> With portage in prefix-launcher-2.1.0 you'll get this error during bootstrap
>> when using '--with-tree=latest', which is necessary for AIX at the moment:
>> !!! All ebuilds that could satisfy "app-arch/tar" have been masked.
>> !!! One of the following masked packages is required to complete your request:
>> - app-arch/tar-1.25 (masked by: EAPI 3)
>> - app-arch/tar-1.23-r4 (masked by: missing keyword)
>> - app-arch/tar-1.23-r2 (masked by: missing keyword)
>>
>> To use the updated portage, replace the prefix-launcher-2.1.0/portage/ subdirectory
>> with the one from an svn-export of prefix-launcher-trunk[1], and do:
>> $ cd prefix-launcher-2.1.0
>> $ rm -rf buildroot/portage/*
>> $ gmake config portage_BUILDFROM=SCRATCH
>> $ gmake portage
>> $ gmake -t install
>>
>> [1] http://prefix-launcher.svn.sourceforge.net/viewvc/prefix-launcher/prefix-launcher/trunk/?view=tar
>>
>> /haubi/
>> --
>> Michael Haubenwallner
>> Gentoo on a different level
>>
>
>

--
Michael Haubenwallner
Gentoo on a different level
 
Old 12-20-2010, 05:20 PM
Perry Smith
 
Default prefix installer, AIX 5.3 gcc failed to build

On Dec 20, 2010, at 12:13 PM, Michael Haubenwallner wrote:

>
>
> On 12/20/2010 06:02 PM, Perry Smith wrote:
>> FYI:
>>
>> In the gmake portage sequence, I got:
>>
>> ( cd /usr/dumps/prefix-launcher-2.1.0/powerpc-ibm-aix5.3.0.0/etc && ln -s /usr/dumps/prefix-launcher-2.1.0/powerpc-ibm-aix5.3.0.0/share/portage/config/make.globals )
>> ln: creating symbolic link `./make.globals': File exists
>
> Indeed, yes.

I know I'm taking an usually not used route but I thought you might want to add in a rm -f.

>
>>
>> So I moved the already existing make.globals to the side which appears to have resolved the issue.
>
> Exactly. You even can remove it.

Ok.

I have a new problem...

* sed-4.2.1.tar.bz2 RMD160 SHA1 SHA256 size ;-) ... [ ok ]
Operation Not Permitted: chown('/tmp/myself/gpx/portage/sys-apps/sed-4.2.1-r1', 327183, 780879)

This is while doing:

${launcher}/${chost}/bin/eprefix-bootstrap `: run again with all arguments when a list was shown to choose `
--eprefix=${gprefix} `: where to bootstrap into `
--with-portage-tmpdir=${gpxtmp} `: essential on AIX only `
--disable-sync `: optional, to avoid searching for updates now `

(after doing the steps below)

Am I suppose to be root to do this?


>> On Dec 13, 2010, at 3:46 PM, Michael Haubenwallner wrote:
>>
>>> Wait a moment,
>>>
>>> On 12/13/10 21:47, Perry Smith wrote:
>>>> I'm going to continue onward...
>>>
>>> Right now, I've update portage in prefix-launcher to accept EAPI 3 now,
>>> which is required to support unmodified ebuilds from main Gentoo Linux.
>>>
>>> However, this portage version is yet untested with prefix-launcher.
>>>
>>> With portage in prefix-launcher-2.1.0 you'll get this error during bootstrap
>>> when using '--with-tree=latest', which is necessary for AIX at the moment:
>>> !!! All ebuilds that could satisfy "app-arch/tar" have been masked.
>>> !!! One of the following masked packages is required to complete your request:
>>> - app-arch/tar-1.25 (masked by: EAPI 3)
>>> - app-arch/tar-1.23-r4 (masked by: missing keyword)
>>> - app-arch/tar-1.23-r2 (masked by: missing keyword)
>>>
>>> To use the updated portage, replace the prefix-launcher-2.1.0/portage/ subdirectory
>>> with the one from an svn-export of prefix-launcher-trunk[1], and do:
>>> $ cd prefix-launcher-2.1.0
>>> $ rm -rf buildroot/portage/*
>>> $ gmake config portage_BUILDFROM=SCRATCH
>>> $ gmake portage
>>> $ gmake -t install
>>>
>>> [1] http://prefix-launcher.svn.sourceforge.net/viewvc/prefix-launcher/prefix-launcher/trunk/?view=tar
>>>
>>> /haubi/
>>> --
>>> Michael Haubenwallner
>>> Gentoo on a different level
>>>
>>
>>
>
> --
> Michael Haubenwallner
> Gentoo on a different level
>
 
Old 12-20-2010, 05:26 PM
Perry Smith
 
Default prefix installer, AIX 5.3 gcc failed to build

Sorry for splitting this into two email messages but I just thought to mention:

I used the portage subdirectory from the trunk you used as a reference.

I did a diff -r between all of the trunk and the tree I started from and there were a few changes in a few other files -- which I did not pick up.

On Dec 20, 2010, at 12:13 PM, Michael Haubenwallner wrote:

>
>
> On 12/20/2010 06:02 PM, Perry Smith wrote:
>> FYI:
>>
>> In the gmake portage sequence, I got:
>>
>> ( cd /usr/dumps/prefix-launcher-2.1.0/powerpc-ibm-aix5.3.0.0/etc && ln -s /usr/dumps/prefix-launcher-2.1.0/powerpc-ibm-aix5.3.0.0/share/portage/config/make.globals )
>> ln: creating symbolic link `./make.globals': File exists
>
> Indeed, yes.
>
>>
>> So I moved the already existing make.globals to the side which appears to have resolved the issue.
>
> Exactly. You even can remove it.
> /haubi/
>
>>
>> On Dec 13, 2010, at 3:46 PM, Michael Haubenwallner wrote:
>>
>>> Wait a moment,
>>>
>>> On 12/13/10 21:47, Perry Smith wrote:
>>>> I'm going to continue onward...
>>>
>>> Right now, I've update portage in prefix-launcher to accept EAPI 3 now,
>>> which is required to support unmodified ebuilds from main Gentoo Linux.
>>>
>>> However, this portage version is yet untested with prefix-launcher.
>>>
>>> With portage in prefix-launcher-2.1.0 you'll get this error during bootstrap
>>> when using '--with-tree=latest', which is necessary for AIX at the moment:
>>> !!! All ebuilds that could satisfy "app-arch/tar" have been masked.
>>> !!! One of the following masked packages is required to complete your request:
>>> - app-arch/tar-1.25 (masked by: EAPI 3)
>>> - app-arch/tar-1.23-r4 (masked by: missing keyword)
>>> - app-arch/tar-1.23-r2 (masked by: missing keyword)
>>>
>>> To use the updated portage, replace the prefix-launcher-2.1.0/portage/ subdirectory
>>> with the one from an svn-export of prefix-launcher-trunk[1], and do:
>>> $ cd prefix-launcher-2.1.0
>>> $ rm -rf buildroot/portage/*
>>> $ gmake config portage_BUILDFROM=SCRATCH
>>> $ gmake portage
>>> $ gmake -t install
>>>
>>> [1] http://prefix-launcher.svn.sourceforge.net/viewvc/prefix-launcher/prefix-launcher/trunk/?view=tar
>>>
>>> /haubi/
>>> --
>>> Michael Haubenwallner
>>> Gentoo on a different level
>>>
>>
>>
>
> --
> Michael Haubenwallner
> Gentoo on a different level
>
 
Old 12-20-2010, 05:29 PM
Michael Haubenwallner
 
Default prefix installer, AIX 5.3 gcc failed to build

On 12/20/2010 07:20 PM, Perry Smith wrote:
>
> On Dec 20, 2010, at 12:13 PM, Michael Haubenwallner wrote:
>
>>
>>
>> On 12/20/2010 06:02 PM, Perry Smith wrote:
>>> FYI:
>>>
>>> In the gmake portage sequence, I got:
>>>
>>> ( cd /usr/dumps/prefix-launcher-2.1.0/powerpc-ibm-aix5.3.0.0/etc && ln -s /usr/dumps/prefix-launcher-2.1.0/powerpc-ibm-aix5.3.0.0/share/portage/config/make.globals )
>>> ln: creating symbolic link `./make.globals': File exists
>>
>> Indeed, yes.
>
> I know I'm taking an usually not used route but I thought you might want to add in a rm -f.
>
>>
>>>
>>> So I moved the already existing make.globals to the side which appears to have resolved the issue.
>>
>> Exactly. You even can remove it.
>
> Ok.
>
> I have a new problem...
>
> * sed-4.2.1.tar.bz2 RMD160 SHA1 SHA256 size ;-) ... [ ok ]
> Operation Not Permitted: chown('/tmp/myself/gpx/portage/sys-apps/sed-4.2.1-r1', 327183, 780879)
>
> This is while doing:
>
> ${launcher}/${chost}/bin/eprefix-bootstrap `: run again with all arguments when a list was shown to choose `
> --eprefix=${gprefix} `: where to bootstrap into `
> --with-portage-tmpdir=${gpxtmp} `: essential on AIX only `
> --disable-sync `: optional, to avoid searching for updates now `

Looks like gpxtmp=/tmp/myself/gpx, right?

While this actually is an interesting problem I've not seen before,
it should work to simply remove /tmp/myself/gpx/portage/sys-apps/sed-4.2.1-r1/

What are the permissions of that directory?
Any process still using files from there (thinking of slibclean)?

/haubi/

>
> (after doing the steps below)
>
> Am I suppose to be root to do this?
>
>
>>> On Dec 13, 2010, at 3:46 PM, Michael Haubenwallner wrote:
>>>
>>>> Wait a moment,
>>>>
>>>> On 12/13/10 21:47, Perry Smith wrote:
>>>>> I'm going to continue onward...
>>>>
>>>> Right now, I've update portage in prefix-launcher to accept EAPI 3 now,
>>>> which is required to support unmodified ebuilds from main Gentoo Linux.
>>>>
>>>> However, this portage version is yet untested with prefix-launcher.
>>>>
>>>> With portage in prefix-launcher-2.1.0 you'll get this error during bootstrap
>>>> when using '--with-tree=latest', which is necessary for AIX at the moment:
>>>> !!! All ebuilds that could satisfy "app-arch/tar" have been masked.
>>>> !!! One of the following masked packages is required to complete your request:
>>>> - app-arch/tar-1.25 (masked by: EAPI 3)
>>>> - app-arch/tar-1.23-r4 (masked by: missing keyword)
>>>> - app-arch/tar-1.23-r2 (masked by: missing keyword)
>>>>
>>>> To use the updated portage, replace the prefix-launcher-2.1.0/portage/ subdirectory
>>>> with the one from an svn-export of prefix-launcher-trunk[1], and do:
>>>> $ cd prefix-launcher-2.1.0
>>>> $ rm -rf buildroot/portage/*
>>>> $ gmake config portage_BUILDFROM=SCRATCH
>>>> $ gmake portage
>>>> $ gmake -t install
>>>>
>>>> [1] http://prefix-launcher.svn.sourceforge.net/viewvc/prefix-launcher/prefix-launcher/trunk/?view=tar
>>>>
>>>> /haubi/
>>>> --
>>>> Michael Haubenwallner
>>>> Gentoo on a different level
>>>>
>>>
>>>
>>
>> --
>> Michael Haubenwallner
>> Gentoo on a different level
>>
>
>

--
Michael Haubenwallner
Gentoo on a different level
 
Old 12-20-2010, 05:32 PM
Michael Haubenwallner
 
Default prefix installer, AIX 5.3 gcc failed to build

On 12/20/2010 07:26 PM, Perry Smith wrote:
> Sorry for splitting this into two email messages but I just thought to mention:
>
> I used the portage subdirectory from the trunk you used as a reference.
>
> I did a diff -r between all of the trunk and the tree I started from and there were a few changes in a few other files -- which I did not pick up.

They were for AIX 6.1 only - look at ChangeLog.

However, recently there were more portage-related updates you might need eventually:
http://prefix-launcher.svn.sourceforge.net/viewvc/prefix-launcher/prefix-launcher/trunk/ChangeLog?revision=338&view=markup

/haubi/

>
> On Dec 20, 2010, at 12:13 PM, Michael Haubenwallner wrote:
>
>>
>>
>> On 12/20/2010 06:02 PM, Perry Smith wrote:
>>> FYI:
>>>
>>> In the gmake portage sequence, I got:
>>>
>>> ( cd /usr/dumps/prefix-launcher-2.1.0/powerpc-ibm-aix5.3.0.0/etc && ln -s /usr/dumps/prefix-launcher-2.1.0/powerpc-ibm-aix5.3.0.0/share/portage/config/make.globals )
>>> ln: creating symbolic link `./make.globals': File exists
>>
>> Indeed, yes.
>>
>>>
>>> So I moved the already existing make.globals to the side which appears to have resolved the issue.
>>
>> Exactly. You even can remove it.
>> /haubi/
>>
>>>
>>> On Dec 13, 2010, at 3:46 PM, Michael Haubenwallner wrote:
>>>
>>>> Wait a moment,
>>>>
>>>> On 12/13/10 21:47, Perry Smith wrote:
>>>>> I'm going to continue onward...
>>>>
>>>> Right now, I've update portage in prefix-launcher to accept EAPI 3 now,
>>>> which is required to support unmodified ebuilds from main Gentoo Linux.
>>>>
>>>> However, this portage version is yet untested with prefix-launcher.
>>>>
>>>> With portage in prefix-launcher-2.1.0 you'll get this error during bootstrap
>>>> when using '--with-tree=latest', which is necessary for AIX at the moment:
>>>> !!! All ebuilds that could satisfy "app-arch/tar" have been masked.
>>>> !!! One of the following masked packages is required to complete your request:
>>>> - app-arch/tar-1.25 (masked by: EAPI 3)
>>>> - app-arch/tar-1.23-r4 (masked by: missing keyword)
>>>> - app-arch/tar-1.23-r2 (masked by: missing keyword)
>>>>
>>>> To use the updated portage, replace the prefix-launcher-2.1.0/portage/ subdirectory
>>>> with the one from an svn-export of prefix-launcher-trunk[1], and do:
>>>> $ cd prefix-launcher-2.1.0
>>>> $ rm -rf buildroot/portage/*
>>>> $ gmake config portage_BUILDFROM=SCRATCH
>>>> $ gmake portage
>>>> $ gmake -t install
>>>>
>>>> [1] http://prefix-launcher.svn.sourceforge.net/viewvc/prefix-launcher/prefix-launcher/trunk/?view=tar
>>>>
>>>> /haubi/
>>>> --
>>>> Michael Haubenwallner
>>>> Gentoo on a different level
>>>>
>>>
>>>
>>
>> --
>> Michael Haubenwallner
>> Gentoo on a different level
>>
>
>

--
Michael Haubenwallner
Gentoo on a different level
 
Old 12-20-2010, 05:41 PM
Perry Smith
 
Default prefix installer, AIX 5.3 gcc failed to build

Fixed... Sorry. should have caught this myself.

I had to re-log in to GSA to pick up the new group id GSA gave me for the place I'm building.

One question: Is 10G enough space for my EPREFIX area (which is on GSA)?

On Dec 20, 2010, at 12:29 PM, Michael Haubenwallner wrote:

>
>
> On 12/20/2010 07:20 PM, Perry Smith wrote:
>>
>> On Dec 20, 2010, at 12:13 PM, Michael Haubenwallner wrote:
>>
>>>
>>>
>>> On 12/20/2010 06:02 PM, Perry Smith wrote:
>>>> FYI:
>>>>
>>>> In the gmake portage sequence, I got:
>>>>
>>>> ( cd /usr/dumps/prefix-launcher-2.1.0/powerpc-ibm-aix5.3.0.0/etc && ln -s /usr/dumps/prefix-launcher-2.1.0/powerpc-ibm-aix5.3.0.0/share/portage/config/make.globals )
>>>> ln: creating symbolic link `./make.globals': File exists
>>>
>>> Indeed, yes.
>>
>> I know I'm taking an usually not used route but I thought you might want to add in a rm -f.
>>
>>>
>>>>
>>>> So I moved the already existing make.globals to the side which appears to have resolved the issue.
>>>
>>> Exactly. You even can remove it.
>>
>> Ok.
>>
>> I have a new problem...
>>
>> * sed-4.2.1.tar.bz2 RMD160 SHA1 SHA256 size ;-) ... [ ok ]
>> Operation Not Permitted: chown('/tmp/myself/gpx/portage/sys-apps/sed-4.2.1-r1', 327183, 780879)
>>
>> This is while doing:
>>
>> ${launcher}/${chost}/bin/eprefix-bootstrap `: run again with all arguments when a list was shown to choose `
>> --eprefix=${gprefix} `: where to bootstrap into `
>> --with-portage-tmpdir=${gpxtmp} `: essential on AIX only `
>> --disable-sync `: optional, to avoid searching for updates now `
>
> Looks like gpxtmp=/tmp/myself/gpx, right?
>
> While this actually is an interesting problem I've not seen before,
> it should work to simply remove /tmp/myself/gpx/portage/sys-apps/sed-4.2.1-r1/
>
> What are the permissions of that directory?
> Any process still using files from there (thinking of slibclean)?
>
> /haubi/
>
>>
>> (after doing the steps below)
>>
>> Am I suppose to be root to do this?
>>
>>
>>>> On Dec 13, 2010, at 3:46 PM, Michael Haubenwallner wrote:
>>>>
>>>>> Wait a moment,
>>>>>
>>>>> On 12/13/10 21:47, Perry Smith wrote:
>>>>>> I'm going to continue onward...
>>>>>
>>>>> Right now, I've update portage in prefix-launcher to accept EAPI 3 now,
>>>>> which is required to support unmodified ebuilds from main Gentoo Linux.
>>>>>
>>>>> However, this portage version is yet untested with prefix-launcher.
>>>>>
>>>>> With portage in prefix-launcher-2.1.0 you'll get this error during bootstrap
>>>>> when using '--with-tree=latest', which is necessary for AIX at the moment:
>>>>> !!! All ebuilds that could satisfy "app-arch/tar" have been masked.
>>>>> !!! One of the following masked packages is required to complete your request:
>>>>> - app-arch/tar-1.25 (masked by: EAPI 3)
>>>>> - app-arch/tar-1.23-r4 (masked by: missing keyword)
>>>>> - app-arch/tar-1.23-r2 (masked by: missing keyword)
>>>>>
>>>>> To use the updated portage, replace the prefix-launcher-2.1.0/portage/ subdirectory
>>>>> with the one from an svn-export of prefix-launcher-trunk[1], and do:
>>>>> $ cd prefix-launcher-2.1.0
>>>>> $ rm -rf buildroot/portage/*
>>>>> $ gmake config portage_BUILDFROM=SCRATCH
>>>>> $ gmake portage
>>>>> $ gmake -t install
>>>>>
>>>>> [1] http://prefix-launcher.svn.sourceforge.net/viewvc/prefix-launcher/prefix-launcher/trunk/?view=tar
>>>>>
>>>>> /haubi/
>>>>> --
>>>>> Michael Haubenwallner
>>>>> Gentoo on a different level
>>>>>
>>>>
>>>>
>>>
>>> --
>>> Michael Haubenwallner
>>> Gentoo on a different level
>>>
>>
>>
>
> --
> Michael Haubenwallner
> Gentoo on a different level
>
 
Old 12-21-2010, 12:07 AM
Perry Smith
 
Default prefix installer, AIX 5.3 gcc failed to build

My gcc build broke:
*/usr/dumps/myself/gpx/portage/sys-devel/gcc-4.2.4-r01.2/work/build/./gcc/xgcc -shared-libgcc -B/usr/dumps/myself/gpx/portage/sys-devel/gcc-4.2.4-r01.2/work/build/./gcc -nostdinc++ -L/usr/dumps/myself/gpx/portage/sys-devel/gcc-4.2.4-r01.2/work/build/powerpc-ibm-aix5.3.0.0/libstdc++-v3/src -L/usr/dumps/myself/gpx/portage/sys-devel/gcc-4.2.4-r01.2/work/build/powerpc-ibm-aix5.3.0.0/libstdc++-v3/src/.libs -B/gsa/ausgsa-p12/04/prefix/usr/powerpc-ibm-aix5.3.0.0/bin/ -B/gsa/ausgsa-p12/04/prefix/usr/powerpc-ibm-aix5.3.0.0/lib/ -isystem /gsa/ausgsa-p12/04/prefix/usr/powerpc-ibm-aix5.3.0.0/include -isystem /gsa/ausgsa-p12/04/prefix/usr/powerpc-ibm-aix5.3.0.0/sys-include -shared -o .libs/libstdc++.so.6 *.libs/bitmap_allocator.o .libs/pool_allocator.o .libs/mt_allocator.o .libs/codecvt.o .libs/compatibility.o .libs/complex_io.o .libs/ctype.o .libs/debug.o .libs/debug_list.o .libs/functexcept.o .libs/globals_io.o .libs/ios.o .libs/ios_failure.o .libs/ios_init.o .libs/ios_locale.o .libs/limits.o .libs/list.o .libs/locale.o .libs/locale_init.o .libs/locale_facets.o .libs/localename.o .libs/stdexcept.o .libs/strstream.o .libs/tree.o .libs/allocator-inst.o .libs/concept-inst.o .libs/fstream-inst.o .libs/ext-inst.o .libs/ios-inst.o .libs/iostream-inst.o .libs/istream-inst.o .libs/istream.o .libs/locale-inst.o .libs/misc-inst.o .libs/ostream-inst.o .libs/sstream-inst.o .libs/streambuf-inst.o .libs/streambuf.o .libs/string-inst.o .libs/valarray-inst.o .libs/wlocale-inst.o .libs/wstring-inst.o .libs/atomicity.o .libs/codecvt_members.o .libs/collate_members.o .libs/ctype_members.o .libs/messages_members.o .libs/monetary_members.o .libs/numeric_members.o .libs/time_members.o .libs/basic_file.o .libs/c++locale.o * -L/usr/dumps/myself/gpx/portage/sys-devel/gcc-4.2.4-r01.2/work/build/powerpc-ibm-aix5.3.0.0/libstdc++-v3/src -L/usr/dumps/myself/gpx/portage/sys-devel/gcc-4.2.4-r01.2/work/build/powerpc-ibm-aix5.3.0.0/libstdc++-v3/src/.libs -lm ../libmath/.libs/libmath.a -lm ../libsupc++/.libs/libsupc++convenience.a -lm -L/usr/dumps/myself/gpx/portage/sys-devel/gcc-4.2.4-r01.2/work/build/./gcc -L/gsa/ausgsa-p12/04/prefix/usr/powerpc-ibm-aix5.3.0.0/bin -L/gsa/ausgsa-p12/04/prefix/usr/powerpc-ibm-aix5.3.0.0/lib -L/gsa/ausgsa-p12/04/prefix/usr/lib/../powerpc-ibm-aix5.3.0.0/lib -L/gsa/ausgsa-p12/04/prefix/usr/lib -lgcc_s -lpthreads -lc -lgcc_s -lm -lgcc_s -lpthreads -lc -lgcc_s * *-Wl,-G -Wl,-bE:.libs/libstdc++.exp -Wl,-bnoentry ${wl}-bnoerokld: 0706-014 The -b noerok option is not recognized.
I guess you want -bernotok ?
Curious that this happened only to me? *I looked at the other diffs and the change link you sent and didn't see anything that looked like this.
pedz
 
Old 12-21-2010, 08:06 AM
Michael Haubenwallner
 
Default prefix installer, AIX 5.3 gcc failed to build

On 12/21/2010 02:07 AM, Perry Smith wrote:
> My gcc build broke:
>
>> /usr/dumps/myself/gpx/portage/sys-devel/gcc-4.2.4-r01.2/work/build/./gcc/xgcc -shared-libgcc -B/usr/dumps/myself/gpx/portage/sys-devel/gcc-4.2.4-r01.2/work/build/./gcc -nostdinc++ -L/usr/dumps/myself/gpx/portage/sys-devel/gcc-4.2.4-r01.2/work/build/powerpc-ibm-aix5.3.0.0/libstdc++-v3/src -L/usr/dumps/myself/gpx/portage/sys-devel/gcc-4.2.4-r01.2/work/build/powerpc-ibm-aix5.3.0.0/libstdc++-v3/src/.libs -B/gsa/ausgsa-p12/04/prefix/usr/powerpc-ibm-aix5.3.0.0/bin/ -B/gsa/ausgsa-p12/04/prefix/usr/powerpc-ibm-aix5.3.0.0/lib/ -isystem /gsa/ausgsa-p12/04/prefix/usr/powerpc-ibm-aix5.3.0.0/include -isystem /gsa/ausgsa-p12/04/prefix/usr/powerpc-ibm-aix5.3.0.0/sys-include -shared -o .libs/libstdc++.so.6 .libs/bitmap_allocator.o .libs/pool_allocator.o .libs/mt_allocator.o .libs/codecvt.o .libs/compatibility.o .libs/complex_io.o .libs/ctype.o .libs/debug.o .libs/debug_list.o .libs/functexcept.o .libs/globals_io.o .libs/ios.o .libs/ios_failure.o .libs/ios_init.o .libs/ios_locale.o
>> .libs/limits.o .libs/list.o .libs/locale.o .libs/locale_init.o .libs/locale_facets.o .libs/localename.o .libs/stdexcept.o .libs/strstream.o .libs/tree.o .libs/allocator-inst.o .libs/concept-inst.o .libs/fstream-inst.o .libs/ext-inst.o .libs/ios-inst.o .libs/iostream-inst.o .libs/istream-inst.o .libs/istream.o .libs/locale-inst.o .libs/misc-inst.o .libs/ostream-inst.o .libs/sstream-inst.o .libs/streambuf-inst.o .libs/streambuf.o .libs/string-inst.o .libs/valarray-inst.o .libs/wlocale-inst.o .libs/wstring-inst.o .libs/atomicity.o .libs/codecvt_members.o .libs/collate_members.o .libs/ctype_members.o .libs/messages_members.o .libs/monetary_members.o .libs/numeric_members.o .libs/time_members.o .libs/basic_file.o .libs/c++locale.o -L/usr/dumps/myself/gpx/portage/sys-devel/gcc-4.2.4-r01.2/work/build/powerpc-ibm-aix5.3.0.0/libstdc++-v3/src -L/usr/dumps/myself/gpx/portage/sys-devel/gcc-4.2.4-r01.2/work/build/powerpc-ibm-aix5.3.0.0/libstdc++-v3/src/.libs -lm
>> ../libmath/.libs/libmath.a -lm ../libsupc++/.libs/libsupc++convenience.a -lm -L/usr/dumps/myself/gpx/portage/sys-devel/gcc-4.2.4-r01.2/work/build/./gcc -L/gsa/ausgsa-p12/04/prefix/usr/powerpc-ibm-aix5.3.0.0/bin -L/gsa/ausgsa-p12/04/prefix/usr/powerpc-ibm-aix5.3.0.0/lib -L/gsa/ausgsa-p12/04/prefix/usr/lib/../powerpc-ibm-aix5.3.0.0/lib -L/gsa/ausgsa-p12/04/prefix/usr/lib -lgcc_s -lpthreads -lc -lgcc_s -lm -lgcc_s -lpthreads -lc -lgcc_s -Wl,-G -Wl,-bE:.libs/libstdc++.exp -Wl,-bnoentry ${wl}-bnoerok
>> ld: 0706-014 The -b noerok option is not recognized.
>
> I guess you want -bernotok ?

There's a patch in gcc-4.2.4-r01.2 in svn-trunk for this already:
http://overlays.gentoo.org/proj/alt/changeset/58998
But you get this only '--with-tree=latest', ...

> Curious that this happened only to me?

... which you most likely didn't pass to eprefix-bootstrap.
This should be possible since upgrading portage in prefix-launcher
to accept EAPI=3.

> I looked at the other diffs and the change link you sent and didn't see anything that looked like this.

You're past prefix-launcher already, which seems to work so far.

/haubi/
--
Michael Haubenwallner
Gentoo on a different level
 
Old 12-21-2010, 12:40 PM
Perry Smith
 
Default prefix installer, AIX 5.3 gcc failed to build

On Dec 21, 2010, at 3:06 AM, Michael Haubenwallner wrote:

>
> On 12/21/2010 02:07 AM, Perry Smith wrote:
>> My gcc build broke:
>>
>>> /usr/dumps/myself/gpx/portage/sys-devel/gcc-4.2.4-r01.2/work/build/./gcc/xgcc -shared-libgcc -B/usr/dumps/myself/gpx/portage/sys-devel/gcc-4.2.4-r01.2/work/build/./gcc -nostdinc++ -L/usr/dumps/myself/gpx/portage/sys-devel/gcc-4.2.4-r01.2/work/build/powerpc-ibm-aix5.3.0.0/libstdc++-v3/src -L/usr/dumps/myself/gpx/portage/sys-devel/gcc-4.2.4-r01.2/work/build/powerpc-ibm-aix5.3.0.0/libstdc++-v3/src/.libs -B/gsa/ausgsa-p12/04/prefix/usr/powerpc-ibm-aix5.3.0.0/bin/ -B/gsa/ausgsa-p12/04/prefix/usr/powerpc-ibm-aix5.3.0.0/lib/ -isystem /gsa/ausgsa-p12/04/prefix/usr/powerpc-ibm-aix5.3.0.0/include -isystem /gsa/ausgsa-p12/04/prefix/usr/powerpc-ibm-aix5.3.0.0/sys-include -shared -o .libs/libstdc++.so.6 .libs/bitmap_allocator.o .libs/pool_allocator.o .libs/mt_allocator.o .libs/codecvt.o .libs/compatibility.o .libs/complex_io.o .libs/ctype.o .libs/debug.o .libs/debug_list.o .libs/functexcept.o .libs/globals_io.o .libs/ios.o .libs/ios_failure.o .libs/ios_init.o .libs/ios_locale.o
>>> .libs/limits.o .libs/list.o .libs/locale.o .libs/locale_init.o .libs/locale_facets.o .libs/localename.o .libs/stdexcept.o .libs/strstream.o .libs/tree.o .libs/allocator-inst.o .libs/concept-inst.o .libs/fstream-inst.o .libs/ext-inst.o .libs/ios-inst.o .libs/iostream-inst.o .libs/istream-inst.o .libs/istream.o .libs/locale-inst.o .libs/misc-inst.o .libs/ostream-inst.o .libs/sstream-inst.o .libs/streambuf-inst.o .libs/streambuf.o .libs/string-inst.o .libs/valarray-inst.o .libs/wlocale-inst.o .libs/wstring-inst.o .libs/atomicity.o .libs/codecvt_members.o .libs/collate_members.o .libs/ctype_members.o .libs/messages_members.o .libs/monetary_members.o .libs/numeric_members.o .libs/time_members.o .libs/basic_file.o .libs/c++locale.o -L/usr/dumps/myself/gpx/portage/sys-devel/gcc-4.2.4-r01.2/work/build/powerpc-ibm-aix5.3.0.0/libstdc++-v3/src -L/usr/dumps/myself/gpx/portage/sys-devel/gcc-4.2.4-r01.2/work/build/powerpc-ibm-aix5.3.0.0/libstdc++-v3/src/.libs -lm
>>> ../libmath/.libs/libmath.a -lm ../libsupc++/.libs/libsupc++convenience.a -lm -L/usr/dumps/myself/gpx/portage/sys-devel/gcc-4.2.4-r01.2/work/build/./gcc -L/gsa/ausgsa-p12/04/prefix/usr/powerpc-ibm-aix5.3.0.0/bin -L/gsa/ausgsa-p12/04/prefix/usr/powerpc-ibm-aix5.3.0.0/lib -L/gsa/ausgsa-p12/04/prefix/usr/lib/../powerpc-ibm-aix5.3.0.0/lib -L/gsa/ausgsa-p12/04/prefix/usr/lib -lgcc_s -lpthreads -lc -lgcc_s -lm -lgcc_s -lpthreads -lc -lgcc_s -Wl,-G -Wl,-bE:.libs/libstdc++.exp -Wl,-bnoentry ${wl}-bnoerok
>>> ld: 0706-014 The -b noerok option is not recognized.
>>
>> I guess you want -bernotok ?
>
> There's a patch in gcc-4.2.4-r01.2 in svn-trunk for this already:
> http://overlays.gentoo.org/proj/alt/changeset/58998
> But you get this only '--with-tree=latest', ...

Yea. I took this out because the emails seemed to indicate that it wasn't working yet and it was optional. I'll put it back in.

>
>> Curious that this happened only to me?
>
> ... which you most likely didn't pass to eprefix-bootstrap.
> This should be possible since upgrading portage in prefix-launcher
> to accept EAPI=3.
>
>> I looked at the other diffs and the change link you sent and didn't see anything that looked like this.
>
> You're past prefix-launcher already, which seems to work so far.
>
> /haubi/
> --
> Michael Haubenwallner
> Gentoo on a different level
>
 
Old 12-21-2010, 05:07 PM
Perry Smith
 
Default prefix installer, AIX 5.3 gcc failed to build

Do I have to start back over? I added --with-tree=latest but failed at the same point.

Thanks,
Perry

On Dec 21, 2010, at 3:06 AM, Michael Haubenwallner wrote:

>
> On 12/21/2010 02:07 AM, Perry Smith wrote:
>> My gcc build broke:
>>
>>> /usr/dumps/myself/gpx/portage/sys-devel/gcc-4.2.4-r01.2/work/build/./gcc/xgcc -shared-libgcc -B/usr/dumps/myself/gpx/portage/sys-devel/gcc-4.2.4-r01.2/work/build/./gcc -nostdinc++ -L/usr/dumps/myself/gpx/portage/sys-devel/gcc-4.2.4-r01.2/work/build/powerpc-ibm-aix5.3.0.0/libstdc++-v3/src -L/usr/dumps/myself/gpx/portage/sys-devel/gcc-4.2.4-r01.2/work/build/powerpc-ibm-aix5.3.0.0/libstdc++-v3/src/.libs -B/gsa/ausgsa-p12/04/prefix/usr/powerpc-ibm-aix5.3.0.0/bin/ -B/gsa/ausgsa-p12/04/prefix/usr/powerpc-ibm-aix5.3.0.0/lib/ -isystem /gsa/ausgsa-p12/04/prefix/usr/powerpc-ibm-aix5.3.0.0/include -isystem /gsa/ausgsa-p12/04/prefix/usr/powerpc-ibm-aix5.3.0.0/sys-include -shared -o .libs/libstdc++.so.6 .libs/bitmap_allocator.o .libs/pool_allocator.o .libs/mt_allocator.o .libs/codecvt.o .libs/compatibility.o .libs/complex_io.o .libs/ctype.o .libs/debug.o .libs/debug_list.o .libs/functexcept.o .libs/globals_io.o .libs/ios.o .libs/ios_failure.o .libs/ios_init.o .libs/ios_locale.o
>>> .libs/limits.o .libs/list.o .libs/locale.o .libs/locale_init.o .libs/locale_facets.o .libs/localename.o .libs/stdexcept.o .libs/strstream.o .libs/tree.o .libs/allocator-inst.o .libs/concept-inst.o .libs/fstream-inst.o .libs/ext-inst.o .libs/ios-inst.o .libs/iostream-inst.o .libs/istream-inst.o .libs/istream.o .libs/locale-inst.o .libs/misc-inst.o .libs/ostream-inst.o .libs/sstream-inst.o .libs/streambuf-inst.o .libs/streambuf.o .libs/string-inst.o .libs/valarray-inst.o .libs/wlocale-inst.o .libs/wstring-inst.o .libs/atomicity.o .libs/codecvt_members.o .libs/collate_members.o .libs/ctype_members.o .libs/messages_members.o .libs/monetary_members.o .libs/numeric_members.o .libs/time_members.o .libs/basic_file.o .libs/c++locale.o -L/usr/dumps/myself/gpx/portage/sys-devel/gcc-4.2.4-r01.2/work/build/powerpc-ibm-aix5.3.0.0/libstdc++-v3/src -L/usr/dumps/myself/gpx/portage/sys-devel/gcc-4.2.4-r01.2/work/build/powerpc-ibm-aix5.3.0.0/libstdc++-v3/src/.libs -lm
>>> ../libmath/.libs/libmath.a -lm ../libsupc++/.libs/libsupc++convenience.a -lm -L/usr/dumps/myself/gpx/portage/sys-devel/gcc-4.2.4-r01.2/work/build/./gcc -L/gsa/ausgsa-p12/04/prefix/usr/powerpc-ibm-aix5.3.0.0/bin -L/gsa/ausgsa-p12/04/prefix/usr/powerpc-ibm-aix5.3.0.0/lib -L/gsa/ausgsa-p12/04/prefix/usr/lib/../powerpc-ibm-aix5.3.0.0/lib -L/gsa/ausgsa-p12/04/prefix/usr/lib -lgcc_s -lpthreads -lc -lgcc_s -lm -lgcc_s -lpthreads -lc -lgcc_s -Wl,-G -Wl,-bE:.libs/libstdc++.exp -Wl,-bnoentry ${wl}-bnoerok
>>> ld: 0706-014 The -b noerok option is not recognized.
>>
>> I guess you want -bernotok ?
>
> There's a patch in gcc-4.2.4-r01.2 in svn-trunk for this already:
> http://overlays.gentoo.org/proj/alt/changeset/58998
> But you get this only '--with-tree=latest', ...
>
>> Curious that this happened only to me?
>
> ... which you most likely didn't pass to eprefix-bootstrap.
> This should be possible since upgrading portage in prefix-launcher
> to accept EAPI=3.
>
>> I looked at the other diffs and the change link you sent and didn't see anything that looked like this.
>
> You're past prefix-launcher already, which seems to work so far.
>
> /haubi/
> --
> Michael Haubenwallner
> Gentoo on a different level
>
 

Thread Tools




All times are GMT. The time now is 05:55 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org